Topics - List By Namespace
Gets all the topics in a namespace.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceBus/namespaces/{namespaceName}/topics?api-version=2026-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceBus/namespaces/{namespaceName}/topics?api-version=2026-01-01&$skip={$skip}&$top={$top}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
string minLength: 6maxLength: 50 |
The namespace name |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$skip
|
query |
integer (int32) maximum: 1000 |
Skip is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a skip parameter that specifies a starting point to use for subsequent calls. |
|
|
$top
|
query |
integer (int32) minimum: 1maximum: 1000 |
May be used to limit the number of results to the most recent N usageDetails. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
TopicGet
Sample request
GET https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/Default-ServiceBus-WestUS/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-1617/topics?api-version=2026-01-01
Sample response
{
"value": [
{
"name": "sdk-topics-5488",
"type": "Microsoft.ServiceBus/Namespaces/Topics",
"id": "/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-1617/topics/sdk-topics-5488",
"properties": {
"accessedAt": "0001-01-01T00:00:00Z",
"autoDeleteOnIdle": "P10675199DT2H48M5.4775807S",
"createdAt": "2017-05-26T20:50:31.4442694Z",
"defaultMessageTimeToLive": "P10675199DT2H48M5.4775807S",
"duplicateDetectionHistoryTimeWindow": "PT10M",
"enableBatchedOperations": true,
"enableExpress": true,
"enablePartitioning": false,
"maxMessageSizeInKilobytes": 10240,
"maxSizeInMegabytes": 10240,
"requiresDuplicateDetection": false,
"sizeInBytes": 0,
"status": "Active",
"subscriptionCount": 0,
"supportOrdering": true,
"updatedAt": "2017-05-26T20:52:32.2092264Z"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Entity |
Entity status. |
|
Error |
The resource management error additional info. |
|
Error |
The resource management error response. |
|
Error |
The error object. |
|
Message |
Message Count Details. |
| SBTopic |
Description of topic resource. |
|
SBTopic |
The response of a SBTopic list operation. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EntityStatus
Entity status.
| Value | Description |
|---|---|
| Active | |
| Disabled | |
| Restoring | |
| SendDisabled | |
| ReceiveDisabled | |
| Creating | |
| Deleting | |
| Renaming | |
| Unknown |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
string |
The additional info type. |
ErrorResponse
The resource management error response.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ErrorResponseError
The error object.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
MessageCountDetails
Message Count Details.
| Name | Type | Description |
|---|---|---|
| activeMessageCount |
integer (int64) |
Number of active messages in the queue, topic, or subscription. |
| deadLetterMessageCount |
integer (int64) |
Number of messages that are dead lettered. |
| scheduledMessageCount |
integer (int64) |
Number of scheduled messages. |
| transferDeadLetterMessageCount |
integer (int64) |
Number of messages transferred into dead letters. |
| transferMessageCount |
integer (int64) |
Number of messages transferred to another queue, topic, or subscription. |
SBTopic
Description of topic resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.accessedAt |
string (date-time) |
Last time the message was sent, or a request was received, for this topic. |
| properties.autoDeleteOnIdle |
string (duration) |
ISO 8601 timespan idle interval after which the topic is automatically deleted. The minimum duration is 5 minutes. |
| properties.countDetails |
Message count details |
|
| properties.createdAt |
string (date-time) |
Exact time the message was created. |
| properties.defaultMessageTimeToLive |
string (duration) |
ISO 8601 Default message timespan to live value. This is the duration after which the message expires, starting from when the message is sent to Service Bus. This is the default value used when TimeToLive is not set on a message itself. |
| properties.duplicateDetectionHistoryTimeWindow |
string (duration) |
ISO8601 timespan structure that defines the duration of the duplicate detection history. The default value is 10 minutes. |
| properties.enableBatchedOperations |
boolean |
Value that indicates whether server-side batched operations are enabled. |
| properties.enableExpress |
boolean |
Value that indicates whether Express Entities are enabled. An express topic holds a message in memory temporarily before writing it to persistent storage. |
| properties.enablePartitioning |
boolean |
Value that indicates whether the topic to be partitioned across multiple message brokers is enabled. |
| properties.maxMessageSizeInKilobytes |
integer (int64) |
Maximum size (in KB) of the message payload that can be accepted by the topic. This property is only used in Premium today and default is 1024. |
| properties.maxSizeInMegabytes |
integer (int32) |
Maximum size of the topic in megabytes, which is the size of the memory allocated for the topic. Default is 1024. |
| properties.requiresDuplicateDetection |
boolean |
Value indicating if this topic requires duplicate detection. |
| properties.sizeInBytes |
integer (int64) |
Size of the topic, in bytes. |
| properties.status |
Enumerates the possible values for the status of a messaging entity. |
|
| properties.subscriptionCount |
integer (int32) |
Number of subscriptions. |
| properties.supportOrdering |
boolean |
Value that indicates whether the topic supports ordering. |
| properties.updatedAt |
string (date-time) |
The exact time the message was updated. |
| properties.userMetadata |
string |
Gets and Sets Metadata of User. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
SBTopicListResult
The response of a SBTopic list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
SBTopic[] |
The SBTopic items on this page |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |